EulerOS 2.0 SP2:strongimcv (EulerOS-SA-2019-2447)

high Nessus 插件 ID 131601

简介

远程 EulerOS 主机缺少多个安全更新。

描述

根据安装的 strongimcv 程序包版本,远程主机上的 EulerOS 安装会受到下列漏洞影响:- strongSwan 5.5.3 之前版本中的 ASN.1 解析器在启用 x509 插件时,不当处理 CHOICE 类型,进而允许远程攻击者通过特制的凭证,造成拒绝服务(无限循环)。(CVE-2017-9023) - 在 strongSwan 5.6.3 之前版本的 stroke_socket.c 中,数据包长度检查缺失可造成缓冲区下溢,进而可能在从套接字读取时,导致资源耗尽和拒绝服务。(CVE-2018-5388) 请注意,Tenable Network Security 已直接从 EulerOS 安全公告中提取上述描述块。Tenable 已尝试在不引入其他问题的情况下尽可能进行了自动整理和排版。

解决方案

更新受影响的 strongimcv 程序包。

另见

http://www.nessus.org/u?458f5160

插件详情

严重性: High

ID: 131601

文件名: EulerOS_SA-2019-2447.nasl

版本: 1.5

类型: local

发布时间: 2019/12/4

最近更新时间: 2021/1/6

支持的传感器: Nessus

风险信息

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.2

矢量: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS v3

风险因素: High

基本分数: 7.5

时间分数: 6.5

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:huawei:euleros:strongimcv, cpe:/o:huawei:euleros:2.0

必需的 KB 项: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

排除的 KB 项: Host/EulerOS/uvp_version

易利用性: No known exploits are available

补丁发布日期: 2019/12/4

参考资料信息

CVE: CVE-2017-9023, CVE-2018-5388